import Highlight from 'react-highlight';
import './jupyter-theme.css';

export default function CellInput({ children }) {
    const randomTurn = Math.floor(Math.random() * 111) + 1;

    return (
        <div class="cell-input">
            <div class="cell-turn">In [{randomTurn}]:</div> 
            <div class="cell-content">
                <Highlight className='python'>
                {children}
                </Highlight>
            </div>
        </div>
    );
}
